MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004612ATutor- no cat -public2010-11-10 09:122010-12-20 10:18
Reportercindy 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0.2 
Summary0004612: Admin link "Modules" is always presented even when the admin is not assigned privilege to "Modules"
DescriptionHow to produce:

login as super admin -> Users -> create an admin account -> at "Privilege" section, don't check "Modules" -> logout -> login with new admin account -> "Modules" link and top nav tab are still available.

http://atutor.ca/view/7/21137/1.html [^]
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0004781)
cindy (administrator)
2010-12-09 13:08

SVN revision: 10499

Solution: Adjusted admin privilege validation in various "Modules" and core scripts.

Affected:
include/lib/menu_pages.php
mods/_core/modules/add_new.php
mods/_core/modules/create.php
mods/_core/modules/default_mods.php
mods/_core/modules/default_side.php
mods/_core/modules/details.php
mods/_core/modules/index.php
mods/_core/modules/install_modules.php
mods/_core/modules/modules.php
mods/_core/modules/module_install_step_1.php
mods/_core/modules/module_install_step_2.php
mods/_core/modules/module_install_step_3.php
mods/_core/modules/module_uninstall_step_1.php
mods/_core/modules/module_uninstall_step_2.php
mods/_core/modules/module_uninstall_step_3.php
mods/_core/modules/version_history.php

- Issue History
Date Modified Username Field Change
2010-11-10 09:12 cindy New Issue
2010-11-10 09:12 cindy Affects version => SVN
2010-11-30 08:52 greg Status new => assigned
2010-11-30 08:52 greg Assigned To => cindy
2010-12-09 13:08 cindy Status assigned => resolved
2010-12-09 13:08 cindy Fixed in Version => 2.0.2
2010-12-09 13:08 cindy Resolution open => fixed
2010-12-09 13:08 cindy Note Added: 0004781
2010-12-20 10:18 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker